%define major 1
%define libname %mklibname g15render %{major}
%define libname_devel %mklibname g15render -d
%define libname_static_devel %mklibname g15render -d -s

Name:           libg15render
Version:        1.2
Release:        %mkrel 15
Summary:        Library to render text and shapes into a buffer usable by the G15 keyboard
License:        GPL
Group:          System/Libraries
URL:            http://g15tools.sourceforge.net/
Source:         http://downloads.sourceforge.net/g15tools/libg15render-%{version}.tar.bz2
BuildRequires:  freetype2-devel
BuildRequires:  g15-devel
BuildRequires:  doxygen
BuildRequires:  texlive
BuildRequires:  texlive-texmf

%description
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%package -n %{libname}
Summary:        Renders text and shapes into a buffer usable by the G15 keyboard
Group:          System/Libraries
Provides:       g15render = %{version}-%{release}

%description -n %{libname}
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%package -n %{libname_devel}
Summary:        Renders text and shapes into a buffer usable by the G15 keyboard
Group:          Development/C
Provides:       g15render-devel = %{version}-%{release}
Requires:       g15render = %{version}-%{release}

%description -n %{libname_devel}
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%package -n %{libname_static_devel}
Summary:        Renders text and shapes into a buffer usable by the G15 keyboard
Group:          Development/C
Provides:       g15render-static-devel = %{version}-%{release}
Requires:       g15render-devel = %{version}-%{release}

%description -n %{libname_static_devel}
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%prep
%setup -q

%build
%{configure2_5x} --enable-ttf
%{make}
%{_bindir}/doxygen
pushd doc/latex
%{make} pdf
popd

%install
%{makeinstall_std}

rm -f %{buildroot}%{_libdir}/*.la
%{__rm} -r %{buildroot}%{_docdir}

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/libg15render.so.%{major}
%{_libdir}/libg15render.so.%{major}.*
%{_mandir}/man3/*

%files -n %{libname_devel}
%doc doc/html doc/latex/refman.pdf
%{_includedir}/*
%{_libdir}/libg15render.so

%files -n %{libname_static_devel}
%{_libdir}/libg15render*.a


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.2-15.mga6
+ Revision: 942961
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-14.mga5
+ Revision: 748446
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-13.mga5
+ Revision: 681469
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.2-12.mga4
+ Revision: 545916
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 1.2-11.mga4
+ Revision: 501978
- update texlive BRs

* Sat Jan 12 2013 umeabot <umeabot> 1.2-10.mga3
+ Revision: 357141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 1.2-9.mga3
+ Revision: 333751
- drop .la file

* Mon Mar 28 2011 ennael <ennael> 1.2-8.mga1
+ Revision: 78311
- clean spec file
- imported package libg15render


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2-8mdv2011.0
+ Revision: 620122
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 1.2-7mdv2010.0
+ Revision: 439483
- rebuild for new libusb

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.2-6mdv2010.0
+ Revision: 429731
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.2-5mdv2009.0
+ Revision: 248649
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Feb 08 2008 David Walluck <walluck@mandriva.org> 1.2-3mdv2008.1
+ Revision: 163895
- fix Provides and Requires
- build API docs
- import libg15render


